apiVersion: apps/v1
kind: Deployment
metadata:
  name: kafka-manager
  namespace: imxc
spec:
  replicas: 1
  selector:
    matchLabels:
      app: kafka-manager
  template:
    metadata:
      labels:
        app: kafka-manager
    spec:
      imagePullSecrets:
      - name: {{ .Values.global.imagepullsecrets }}
      containers:
      - name: kafka-manager
        image: {{ .Values.global.IMXC_IN_REGISTRY }}/kafka-manager:{{ .Values.global.KAFKA_MANAGER_VERSION }}
        resources:
          requests:
            cpu: 100m
            memory: 500Mi
          limits:
            cpu: 200m
            memory: 1000Mi
        ports:
        - containerPort: 80
        env:
        - name: ZK_HOSTS
          value: zookeeper:2181
        command:
        - ./bin/kafka-manager
        - -Dhttp.port=80
